user_notification_basic in seccomp of ubuntu_kernel_selftest failed on Bionic-5.0 Kernels

Bug #1862588 reported by Po-Hsu Lin on 2020-02-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-kernel-tests
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Medium
Thadeu Lima de Souza Cascardo
Eoan
Medium
Thadeu Lima de Souza Cascardo
linux-aws (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned
linux-gcp (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned
linux-signed-oracle-5.0 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned

Bug Description

[Impact]
Running seccomp kernel selftests will fail.

[Test case]
Run linux/tools/testing/selftests/seccomp/seccomp_bpf.

On failure:

seccomp_bpf.c:3149:global.user_notification_basic:Expected -1 (18446744073709551615) == ret (0)
seccomp_bpf.c:3150:global.user_notification_basic:Expected EINVAL (22) == errno (0)
global.user_notification_basic: Test failed at step #3
[ FAIL ] global.user_notification_basic

On success:

[ RUN ] global.user_notification_basic
[ OK ] global.user_notification_basic

[Regression potential]
The test is checking that the given structure which the kernel will write to is all zeroes. It's doing it because it wants userspace to have the possibility in the future to give data there indicating support for an extension that might be developed in the future. As the test is there right now, not applying the breaking uABI fix might cause us to miss applications that would break in future kernels. As the backport for that is prone for more regression potential, we are deciding to revert the new test.

======================================

Issue found on Oracle Bionic 5.0 (oracle : 5.0.0-1011.16 : amd64)

[ RUN ] global.user_notification_basic
seccomp_bpf.c:3149:global.user_notification_basic:Expected -1 (18446744073709551615) == ret (0)
seccomp_bpf.c:3150:global.user_notification_basic:Expected EINVAL (22) == errno (0)
global.user_notification_basic: Test failed at step #3
[ FAIL ] global.user_notification_basic

This cannot be reproduced with the kselftest in older kernel, probably a test case issue.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-5.0.0-1011-oracle 5.0.0-1011.16
ProcVersionSignature: User Name 5.0.0-1011.16-oracle 5.0.21
Uname: Linux 5.0.0-1011-oracle x86_64
ApportVersion: 2.20.9-0ubuntu7.10
Architecture: amd64
Date: Mon Feb 10 05:17:54 2020
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=C.UTF-8
 SHELL=/bin/bash
SourcePackage: linux-signed-oracle-5.0
UpgradeStatus: No upgrade log present (probably fresh install)

Po-Hsu Lin (cypressyew) wrote :
tags: added: 5.0 oracle sru-20200127
tags: added: ubuntu-kernel-selftests
Po-Hsu Lin (cypressyew) wrote :

A quick bisect shows this is the cause:
98618307e42790d8a980eb6423ff5b5ebae8db7d is the first bad commit
commit 98618307e42790d8a980eb6423ff5b5ebae8db7d
Author: Sargun Dhillon <email address hidden>
Date: Mon Dec 30 12:38:11 2019 -0800

    selftests/seccomp: Catch garbage on SECCOMP_IOCTL_NOTIF_RECV

    BugLink: https://bugs.launchpad.net/bugs/1860799

    commit e4ab5ccc357b978999328fadae164e098c26fa40 upstream.

    This adds logic to the user_notification_basic test to set a member
    of struct seccomp_notif to an invalid value to ensure that the kernel
    returns EINVAL if any of the struct seccomp_notif members are set to
    invalid values.

    Signed-off-by: Sargun Dhillon <email address hidden>
    Suggested-by: Christian Brauner <email address hidden>
    Link: https://<email address hidden>
    Fixes: 6a21cc50f0c7 ("seccomp: add a return code to trap to userspace")
    Cc: <email address hidden>
    Signed-off-by: Kees Cook <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>
    Signed-off-by: Kamal Mostafa <email address hidden>
    Signed-off-by: Khalid Elmously <email address hidden>

The test will pass with this patch reverted.

However as this patch ensures we have a correct return value EINVAL, so it means this might be a kernel issue.

Sean Feole (sfeole) wrote :

Also seen this on the AWS 5.0 kernels this cycle

02/04 08:59:02 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.siblings_fail_prctl
02/04 08:59:02 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_siblings_with_ancestor
02/04 08:59:02 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.two_siblings_with_ancestor
02/04 08:59:02 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_sibling_want_nnp
02/04 08:59:02 ERROR| utils:0153| [stderr] seccomp_bpf.c:3149:global.user_notification_basic:Expected -1 (18446744073709551615) == ret (0)
02/04 08:59:02 ERROR| utils:0153| [stderr] seccomp_bpf.c:3150:global.user_notification_basic:Expected EINVAL (22) == errno (0)
02/04 08:59:02 ERROR| utils:0153| [stderr] global.user_notification_basic: Test failed at step #3
02/04 08:59:02 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.two_sibling_want_nnp
02/04 08:59:02 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_siblings_with_no_filter
02/04 08:59:02 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.two_siblings_with_no_filter
02/04 08:59:02 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_siblings_with_one_divergence

tags: added: aws
no longer affects: linux-aws (Ubuntu Disco)
no longer affects: linux-signed-oracle-5.0 (Ubuntu Disco)
Sean Feole (sfeole) wrote :

Also seen on the linux-gcp-5.0 kernel

02/12 14:16:06 DEBUG| utils:0153| [stdout] [ RUN ] global.user_notification_basic
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ FAIL ] global.user_notification_basic
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ RUN ] global.user_notification_kill_in_middle

02/12 14:16:06 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.siblings_fail_prctl
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_siblings_with_ancestor
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.two_siblings_with_ancestor
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_sibling_want_nnp
02/12 14:16:06 ERROR| utils:0153| [stderr] global.user_notification_basic: Test failed at step #3
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.two_sibling_want_nnp
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_siblings_with_no_filter
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.two_siblings_with_no_filter
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_siblings_with_one_divergence
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.two_siblings_with_one_divergence
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ RUN ] TSYNC.two_siblings_not_under_filter
02/12 14:16:06 DEBUG| utils:0153| [stdout] [ OK ] TSYNC.two_siblings_not_under_filter

Changed in ubuntu-kernel-tests:
status: New → Triaged
tags: added: gcp
summary: user_notification_basic in seccomp of ubuntu_kernel_selftest failed on
- Bionic-5.0 Oracle
+ Bionic-5.0 Kernels
Po-Hsu Lin (cypressyew) wrote :

Issue found on B-5.3 as well (5.3.0-41.33~18.04.1, node rizzo)

Sean Feole (sfeole) on 2020-02-26
tags: added: sru-20200217
tags: added: azure
Changed in linux (Ubuntu Eoan):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
importance: Undecided → Medium
status: New → Confirmed
description: updated
description: updated

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1862588

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Bionic):
status: New → Incomplete
Changed in linux (Ubuntu Disco):
status: New → Incomplete
Sean Feole (sfeole) wrote :

AWS/ Eoan/ 5.3.0-1017.18 affected.
188. 04/09 02:20:14 DEBUG| utils:0153| [stdout] # seccomp_bpf.c:3160:global.user_notification_basic:Expected -1 (18446744073709551615) == ret (0)
189. 04/09 02:20:14 DEBUG| utils:0153| [stdout] # seccomp_bpf.c:3161:global.user_notification_basic:Expected EINVAL (22) == errno (0)
190. 04/09 02:20:14 DEBUG| utils:0153| [stdout] # fter_ptrace

tags: added: sru-20200406

I sent a revert for the patch that PHLin identified.

Changed in linux (Ubuntu Eoan):
status: Confirmed → In Progress
Changed in linux (Ubuntu Disco):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
importance: Undecided → Medium
status: Incomplete → In Progress
Changed in linux (Ubuntu Bionic):
status: Incomplete → Invalid
Changed in linux (Ubuntu):
status: Incomplete → Invalid
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-eoan' to 'verification-done-eoan'. If the problem still exists, change the tag 'verification-needed-eoan' to 'verification-failed-eoan'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-eoan
Po-Hsu Lin (cypressyew) wrote :

The test is no longer failing on Eoan (5.3.0-52.46):
187. 05/01 23:09:24 DEBUG| utils:0153| [stdout] # [ RUN ] global.user_notification_basic
188. 05/01 23:09:24 DEBUG| utils:0153| [stdout] # fter_ptrace
....
645. 05/01 23:09:51 INFO |ubuntu_ker:0189| ========== Summary ===========
646. 05/01 23:09:51 INFO |ubuntu_ker:0200| No failed cases reported

tags: added: verification-done-eoan
removed: verification-needed-eoan

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Sean Feole (sfeole) wrote :

Awaiting final results for Bionic -main respin for SRU 2020.04.27

Testcase completed successfully with bionic/linux-hwe-5.0 5.0.0-48.52~18.04.1 - generic .

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (38.1 KiB)

This bug was fixed in the package linux - 5.3.0-53.47

---------------
linux (5.3.0-53.47) eoan; urgency=medium

  * eoan/linux: 5.3.0-53.47 -proposed tracker (LP: #1877257)

  * Intermittent display blackouts on event (LP: #1875254)
    - drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only

  * Unable to handle kernel pointer dereference in virtual kernel address space
    on Eoan (LP: #1876645)
    - SAUCE: overlayfs: fix shitfs special-casing

linux (5.3.0-52.46) eoan; urgency=medium

  * eoan/linux: 5.3.0-52.46 -proposed tracker (LP: #1874752)

  * alsa: make the dmic detection align to the mainline kernel-5.6
    (LP: #1871284)
    - ALSA: hda: add Intel DSP configuration / probe code
    - ALSA: hda: fix intel DSP config
    - ALSA: hda: Allow non-Intel device probe gracefully
    - ALSA: hda: More constifications
    - ALSA: hda: Rename back to dmic_detect option
    - [Config] SND_INTEL_DSP_CONFIG=m
    - [packaging] Remove snd-intel-nhlt from modules

  * built-using constraints preventing uploads (LP: #1875601)
    - temporarily drop Built-Using data

  * ubuntu/focal64 fails to mount Vagrant shared folders (LP: #1873506)
    - [Packaging] Move virtualbox modules to linux-modules
    - [Packaging] Remove vbox and zfs modules from generic.inclusion-list

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: use shiftfs hacks only with shiftfs as underlay

  * shiftfs: broken shiftfs nesting (LP: #1872094)
    - SAUCE: shiftfs: record correct creator credentials

  * Add debian/rules targets to compile/run kernel selftests (LP: #1874286)
    - [Packaging] add support to compile/run selftests

  * shiftfs: O_TMPFILE reports ESTALE (LP: #1872757)
    - SAUCE: shiftfs: fix dentry revalidation

  * getitimer returns it_value=0 erroneously (LP: #1349028)
    - [Config] CONTEXT_TRACKING_FORCE policy should be unset

  * 5.3.0-46-generic - i915 - frequent GPU hangs / resets rcs0 (LP: #1872001)
    - drm/i915/execlists: Preempt-to-busy
    - drm/i915/gt: Detect if we miss WaIdleLiteRestore
    - drm/i915/execlists: Always force a context reload when rewinding RING_TAIL

  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs

  * Eoan update: upstream stable patchset 2020-04-22 (LP: #1874325)
    - ARM: dts: sun8i-a83t-tbs-a711: HM5065 doesn't like such a high voltage
    - bus: sunxi-rsb: Return correct data when mixing 16-bit and 8-bit reads
    - net: vxge: fix wrong __VA_ARGS__ usage
    - hinic: fix a bug of waitting for IO stopped
    - hinic: fix wrong para of wait_for_completion_timeout
    - cxgb4/ptp: pass the sign of offset delta in FW CMD
    - qlcnic: Fix bad kzalloc null test
    - i2c: st: fix missing struct parameter description
    - cpufreq: imx6q: Fixes unwanted cpu overclocking on i.MX6ULL
    - media: venus: hfi_parser: Ignore HEVC encoding for V1
    - firmware: arm_sdei: fix double-lock on hibernate with shared events
    - null_blk: Fix the null_add_dev() error path
    - null_blk: Handle null_add_dev() failures properly
    - null_blk: fix spuri...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (39.2 KiB)

This bug was fixed in the package linux-aws - 5.3.0-1019.21

---------------
linux-aws (5.3.0-1019.21) eoan; urgency=medium

  * eoan/linux-aws: 5.3.0-1019.21 -proposed tracker (LP: #1877942)

  [ Ubuntu: 5.3.0-53.47 ]

  * eoan/linux: 5.3.0-53.47 -proposed tracker (LP: #1877257)
  * Intermittent display blackouts on event (LP: #1875254)
    - drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only
  * Unable to handle kernel pointer dereference in virtual kernel address space
    on Eoan (LP: #1876645)
    - SAUCE: overlayfs: fix shitfs special-casing

linux-aws (5.3.0-1018.20) eoan; urgency=medium

  * eoan/linux-aws: 5.3.0-1018.20 -proposed tracker (LP: #1874739)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family
    - [Packaging] add libcap-dev dependency

  * Eoan update: upstream stable patchset 2020-04-08 (LP: #1871697)
    - [Config] aws: Update for NET_REDIRECT and DPAA_ERRATUM_A050385

  [ Ubuntu: 5.3.0-52.46 ]

  * eoan/linux: 5.3.0-52.46 -proposed tracker (LP: #1874752)
  * alsa: make the dmic detection align to the mainline kernel-5.6
    (LP: #1871284)
    - ALSA: hda: add Intel DSP configuration / probe code
    - ALSA: hda: fix intel DSP config
    - ALSA: hda: Allow non-Intel device probe gracefully
    - ALSA: hda: More constifications
    - ALSA: hda: Rename back to dmic_detect option
    - [Config] SND_INTEL_DSP_CONFIG=m
    - [packaging] Remove snd-intel-nhlt from modules
  * built-using constraints preventing uploads (LP: #1875601)
    - temporarily drop Built-Using data
  * ubuntu/focal64 fails to mount Vagrant shared folders (LP: #1873506)
    - [Packaging] Move virtualbox modules to linux-modules
    - [Packaging] Remove vbox and zfs modules from generic.inclusion-list
  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: use shiftfs hacks only with shiftfs as underlay
  * shiftfs: broken shiftfs nesting (LP: #1872094)
    - SAUCE: shiftfs: record correct creator credentials
  * Add debian/rules targets to compile/run kernel selftests (LP: #1874286)
    - [Packaging] add support to compile/run selftests
  * shiftfs: O_TMPFILE reports ESTALE (LP: #1872757)
    - SAUCE: shiftfs: fix dentry revalidation
  * getitimer returns it_value=0 erroneously (LP: #1349028)
    - [Config] CONTEXT_TRACKING_FORCE policy should be unset
  * 5.3.0-46-generic - i915 - frequent GPU hangs / resets rcs0 (LP: #1872001)
    - drm/i915/execlists: Preempt-to-busy
    - drm/i915/gt: Detect if we miss WaIdleLiteRestore
    - drm/i915/execlists: Always force a context reload when rewinding RING_TAIL
  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs
  * Eoan update: upstream stable patchset 2020-04-22 (LP: #1874325)
    - ARM: dts: sun8i-a83t-tbs-a711: HM5065 doesn't like such a high voltage
    - bus: sunxi-rsb: Return correct data when mixing 16-bit and 8-bit reads
    - net: vxge: fix wrong __VA_ARGS__ usage
    - hinic: fix a bug of waitting for IO stopped
    - hinic: fix wrong para of wait_for_completion_timeout
    - cxgb4/ptp: pass t...

Changed in linux-aws (Ubuntu Eoan):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (39.3 KiB)

This bug was fixed in the package linux-gcp - 5.3.0-1020.22

---------------
linux-gcp (5.3.0-1020.22) eoan; urgency=medium

  * eoan/linux-gcp: 5.3.0-1020.22 -proposed tracker (LP: #1877950)

  [ Ubuntu: 5.3.0-53.47 ]

  * eoan/linux: 5.3.0-53.47 -proposed tracker (LP: #1877257)
  * Intermittent display blackouts on event (LP: #1875254)
    - drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only
  * Unable to handle kernel pointer dereference in virtual kernel address space
    on Eoan (LP: #1876645)
    - SAUCE: overlayfs: fix shitfs special-casing

linux-gcp (5.3.0-1019.21) eoan; urgency=medium

  * eoan/linux-gcp: 5.3.0-1019.21 -proposed tracker (LP: #1874747)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family
    - [Packaging] add libcap-dev dependency

  * Eoan update: upstream stable patchset 2020-04-08 (LP: #1871697)
    - [Config] linux-gcp: Update for NET_REDIRECT=y

  * alsa: make the dmic detection align to the mainline kernel-5.6
    (LP: #1871284)
    - [Config] linux-gcp: Update for snd-intel-nhlt

  [ Ubuntu: 5.3.0-52.46 ]

  * eoan/linux: 5.3.0-52.46 -proposed tracker (LP: #1874752)
  * alsa: make the dmic detection align to the mainline kernel-5.6
    (LP: #1871284)
    - ALSA: hda: add Intel DSP configuration / probe code
    - ALSA: hda: fix intel DSP config
    - ALSA: hda: Allow non-Intel device probe gracefully
    - ALSA: hda: More constifications
    - ALSA: hda: Rename back to dmic_detect option
    - [Config] SND_INTEL_DSP_CONFIG=m
    - [packaging] Remove snd-intel-nhlt from modules
  * built-using constraints preventing uploads (LP: #1875601)
    - temporarily drop Built-Using data
  * ubuntu/focal64 fails to mount Vagrant shared folders (LP: #1873506)
    - [Packaging] Move virtualbox modules to linux-modules
    - [Packaging] Remove vbox and zfs modules from generic.inclusion-list
  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: use shiftfs hacks only with shiftfs as underlay
  * shiftfs: broken shiftfs nesting (LP: #1872094)
    - SAUCE: shiftfs: record correct creator credentials
  * Add debian/rules targets to compile/run kernel selftests (LP: #1874286)
    - [Packaging] add support to compile/run selftests
  * shiftfs: O_TMPFILE reports ESTALE (LP: #1872757)
    - SAUCE: shiftfs: fix dentry revalidation
  * getitimer returns it_value=0 erroneously (LP: #1349028)
    - [Config] CONTEXT_TRACKING_FORCE policy should be unset
  * 5.3.0-46-generic - i915 - frequent GPU hangs / resets rcs0 (LP: #1872001)
    - drm/i915/execlists: Preempt-to-busy
    - drm/i915/gt: Detect if we miss WaIdleLiteRestore
    - drm/i915/execlists: Always force a context reload when rewinding RING_TAIL
  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs
  * Eoan update: upstream stable patchset 2020-04-22 (LP: #1874325)
    - ARM: dts: sun8i-a83t-tbs-a711: HM5065 doesn't like such a high voltage
    - bus: sunxi-rsb: Return correct data when mixing 16-bit and 8-bit reads
    - net: vxge: fix wrong __VA_ARGS__ usage
    - hini...

Changed in linux-gcp (Ubuntu Eoan):
status: New → Fix Released
Steve Langasek (vorlon) on 2020-07-02
Changed in linux (Ubuntu Disco):
status: Fix Committed → Won't Fix
Steve Langasek (vorlon) on 2020-07-02
Changed in linux-aws (Ubuntu Disco):
status: New → Won't Fix
Changed in linux-gcp (Ubuntu Disco):
status: New → Won't Fix
Changed in linux-signed-oracle-5.0 (Ubuntu Disco):
status: New → Won't Fix
Brian Murray (brian-murray) wrote :

The Eoan Ermine has reached end of life, so this bug will not be fixed for that release

Changed in linux-signed-oracle-5.0 (Ubuntu Eoan):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers